<?xml version="1.0" encoding="UTF-8"?>
<xmi:XMI xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:python="http://www.eclipse.org/papyrus/python/1" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML">
  <uml:Model xmi:id="_21YB0O4aEey3buyMmxEJ_w" name="rclpy">
    <packageImport xmi:type="uml:PackageImport" xmi:id="_22kUoO4aEey3buyMmxEJ_w">
      <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
    </packageImport>
    <packagedElement xmi:type="uml:Package" xmi:id="_hq5LoO4bEey3buyMmxEJ_w" name="node">
      <packagedElement xmi:type="uml:Class" xmi:id="_eEr58O4bEey3buyMmxEJ_w" name="Node"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_nL59IO4bEey3buyMmxEJ_w" name="publisher">
      <packagedElement xmi:type="uml:Class" xmi:id="_mDLagO4bEey3buyMmxEJ_w" name="Publisher"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_uqkHEO4bEey3buyMmxEJ_w" name="lifecycle">
      <packagedElement xmi:type="uml:Class" xmi:id="_xe6eAO4bEey3buyMmxEJ_w" name="Node"/>
      <packagedElement xmi:type="uml:Class" xmi:id="_y3RYEO4bEey3buyMmxEJ_w" name="Publisher"/>
      <packagedElement xmi:type="uml:Class" xmi:id="_1TWY8O4bEey3buyMmxEJ_w" name="State"/>
      <packagedElement xmi:type="uml:Class" xmi:id="_z5WgIO4bEey3buyMmxEJ_w" name="TransitionCallbackReturn"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_YOa0sO4cEey3buyMmxEJ_w" name="executors">
      <packagedElement xmi:type="uml:Class" xmi:id="_cQYOQO4cEey3buyMmxEJ_w" name="Executor"/>
      <packagedElement xmi:type="uml:Class" xmi:id="_ifvTgO4cEey3buyMmxEJ_w" name="TimeoutException"/>
      <packagedElement xmi:type="uml:Class" xmi:id="_jxDxcO4cEey3buyMmxEJ_w" name="ShutdownException"/>
      <packagedElement xmi:type="uml:Class" xmi:id="_lsBpUO4cEey3buyMmxEJ_w" name="ExternalShutdownException"/>
      <packagedElement xmi:type="uml:Class" xmi:id="_tDdJ4O4cEey3buyMmxEJ_w" name="SingleThreadedExecutor"/>
      <packagedElement xmi:type="uml:Class" xmi:id="_ucINAO4cEey3buyMmxEJ_w" name="MultiThreadedExecutor"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_8JMZ8O4cEey3buyMmxEJ_w" name="action">
      <packagedElement xmi:type="uml:Class" xmi:id="_Axv5cO4dEey3buyMmxEJ_w" name="ActionServer"/>
      <packagedElement xmi:type="uml:Class" xmi:id="_FZwmYO4dEey3buyMmxEJ_w" name="ActionClient"/>
      <packagedElement xmi:type="uml:Class" xmi:id="_GoYUsCrGEe6lW41OK3U93g" name="CancelResponse"/>
      <packagedElement xmi:type="uml:Class" xmi:id="_H34NsCrGEe6lW41OK3U93g" name="GoalResponse"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_jLnsoO4dEey3buyMmxEJ_w" name="qos">
      <packagedElement xmi:type="uml:Class" xmi:id="_kwVnsO4dEey3buyMmxEJ_w" name="QoSProfile"/>
      <packagedElement xmi:type="uml:Class" xmi:id="_uh-g4O4dEey3buyMmxEJ_w" name="InvalidQoSProfileException"/>
      <packagedElement xmi:type="uml:Enumeration" xmi:id="_xeFFoO4dEey3buyMmxEJ_w" name="QoSPolicyKind"/>
      <packagedElement xmi:type="uml:Enumeration" xmi:id="_3amHYO4dEey3buyMmxEJ_w" name="QoSPolicyEnum"/>
      <packagedElement xmi:type="uml:Enumeration" xmi:id="_FRQ8QO4eEey3buyMmxEJ_w" name="HistoryPolicy"/>
      <packagedElement xmi:type="uml:Enumeration" xmi:id="_G81GMO4eEey3buyMmxEJ_w" name="ReliabilityPolicy"/>
      <packagedElement xmi:type="uml:Enumeration" xmi:id="_IrfAYO4eEey3buyMmxEJ_w" name="DurabilityPolicy"/>
      <packagedElement xmi:type="uml:Enumeration" xmi:id="_KRwaoO4eEey3buyMmxEJ_w" name="LivelinessPolicy"/>
      <packagedElement xmi:type="uml:Enumeration" xmi:id="_NHJTYO4eEey3buyMmxEJ_w" name="QoSPresetProfiles"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_0Sl_MO4eEey3buyMmxEJ_w" name="time">
      <packagedElement xmi:type="uml:Class" xmi:id="_1prt8O4eEey3buyMmxEJ_w" name="Time"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_LDGikO4fEey3buyMmxEJ_w" name="timer">
      <packagedElement xmi:type="uml:Class" xmi:id="_NRiwEO4fEey3buyMmxEJ_w" name="Timer"/>
      <packagedElement xmi:type="uml:Class" xmi:id="_N42AoO4fEey3buyMmxEJ_w" name="Rate"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_jzOMQO4qEeyyq6rTvdmD_g" name="subscription">
      <packagedElement xmi:type="uml:Class" xmi:id="_mSgSIO4qEeyyq6rTvdmD_g" name="Subscription"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_MtPSsO4rEeyyq6rTvdmD_g" name="client">
      <packagedElement xmi:type="uml:Class" xmi:id="_QPtT4O4rEeyyq6rTvdmD_g" name="Client"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_f61wAO4rEeyyq6rTvdmD_g" name="service">
      <packagedElement xmi:type="uml:Class" xmi:id="_ji1xcO4rEeyyq6rTvdmD_g" name="Service"/>
    </packagedElement>
    <packagedElement xmi:type="uml:Package" xmi:id="_iZGXMLlHEe27HeoHLJk0Yw" name="callback_groups">
      <packagedElement xmi:type="uml:Class" xmi:id="_nzC3YLlHEe27HeoHLJk0Yw" name="ReentrantCallbackGroup"/>
      <packagedElement xmi:type="uml:Class" xmi:id="_sgWUALlHEe27HeoHLJk0Yw" name="MutuallyExclusiveCallbackGroup"/>
    </packagedElement>
    <profileApplication xmi:type="uml:ProfileApplication" xmi:id="_21q8wO4aEey3buyMmxEJ_w">
      <eAnnotations xmi:type="ecore:EAnnotation" xmi:id="_21q8we4aEey3buyMmxEJ_w" source="http://www.eclipse.org/uml2/2.0.0/UML">
        <references xmi:type="ecore:EPackage" href="http://www.eclipse.org/papyrus/python/1#/"/>
      </eAnnotations>
      <appliedProfile xmi:type="uml:Profile" href="pathmap://PapyrusPython_PROFILES/python.profile.uml#_ZZc2IOjGEeyu5-ah8U05Lg"/>
    </profileApplication>
  </uml:Model>
  <python:Module xmi:id="_kSrGMO4bEey3buyMmxEJ_w" base_Package="_hq5LoO4bEey3buyMmxEJ_w"/>
  <python:Module xmi:id="_qeUwIO4bEey3buyMmxEJ_w" base_Package="_nL59IO4bEey3buyMmxEJ_w"/>
  <python:Module xmi:id="_wG0CoO4bEey3buyMmxEJ_w" base_Package="_uqkHEO4bEey3buyMmxEJ_w"/>
  <python:Module xmi:id="_aExSUO4cEey3buyMmxEJ_w" base_Package="_YOa0sO4cEey3buyMmxEJ_w"/>
  <python:Module xmi:id="_TBVPUO4dEey3buyMmxEJ_w" base_Package="_8JMZ8O4cEey3buyMmxEJ_w"/>
  <python:Module xmi:id="_4OtPcO4eEey3buyMmxEJ_w" base_Package="_0Sl_MO4eEey3buyMmxEJ_w"/>
  <python:Module xmi:id="_5dFuIO4eEey3buyMmxEJ_w" base_Package="_jLnsoO4dEey3buyMmxEJ_w"/>
  <python:Module xmi:id="_MOia8O4fEey3buyMmxEJ_w" base_Package="_LDGikO4fEey3buyMmxEJ_w"/>
  <python:Module xmi:id="_Ocr3EO4rEeyyq6rTvdmD_g" base_Package="_MtPSsO4rEeyyq6rTvdmD_g"/>
  <python:Module xmi:id="_WzctsO4rEeyyq6rTvdmD_g" base_Package="_jzOMQO4qEeyyq6rTvdmD_g"/>
  <python:Module xmi:id="_ltGekLlHEe27HeoHLJk0Yw" base_Package="_iZGXMLlHEe27HeoHLJk0Yw"/>
  <python:Module xmi:id="_UIGCMCoCEe6lW41OK3U93g" base_Package="_f61wAO4rEeyyq6rTvdmD_g"/>
</xmi:XMI>
